package com.yc.wms.controller;

import com.yc.wms.service.Zhengliqingdan;
import com.yc.wms.until.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author wms
 * @since 2023-03-04
 */
@RestController
@Slf4j
@RequestMapping("/user")
public class UserController {

    @Autowired
    private Zhengliqingdan zhengliqingdan;

    /**
     * @return
     * 登录
     */
    @PostMapping ("/login")
    public Result login(@RequestBody String user) {
//        Result result = null;
//       List<User> list= userService.lambdaQuery()
//                  .eq(User::getUserNo,user.getUserNo())
//                  .eq(User::getPassWord,user.getPassWord()).list();
//       if(list.size()>0){
//           List menulist=menuService.lambdaQuery().like(Menu::getMenuRight,list.get(0).getRoleId().toString()).list();
//           HashMap map =new HashMap();
//           map.put("user",list.get(0));
//           map.put("menu",menulist);
//           result=Result.success(map);
//       }else{
//           result=Result.fail("账号或密码输入有误!");
//       }
//        return result;
        JSONArray array=new JSONArray();
        JSONObject data=new JSONObject();
        int menuCount=6;
        for (int i=1;i<=menuCount;i++){
            JSONObject menu=new JSONObject();
            menu.put("id",i);
            menu.put("menuCode",i);
            if(i==1) {
                menu.put("menuName", "整理完成未上架清单");
                menu.put("menuComponent","/Zhengliqingdan");
                menu.put("menuClick","Zhengliqingdan");
            }else if(i==2) {
                menu.put("menuName", "入库整理");
                menu.put("menuComponent","/Rukuzhengli");
                menu.put("menuClick","Rukuzhengli");
            }else if(i==3) {
                menu.put("menuName", "库存汇总界面");
                menu.put("menuComponent","/Kucunhuizong");
                menu.put("menuClick","Kucunhuizong");
            }else if(i==4) {
                menu.put("menuName", "拣货界面");
                menu.put("menuComponent","/Jianhuojiemian");
                menu.put("menuClick","Jianhuojiemian");
            }else if(i==5) {
                menu.put("menuName", "库存操作日志");
                menu.put("menuComponent","/Kucunrizhi");
                menu.put("menuClick","Kucunrizhi");
            }else if(i==6) {
                menu.put("menuName", "料箱监控");
                menu.put("menuComponent","/Liaoxiangjiankong");
                menu.put("menuClick","Liaoxiangjiankong");
            }
            menu.put("menuLevel",i);
            menu.put("menuParentCode",i);

            menu.put("menuRight", "0,1");
            menu.put("menuIcon","el-icon-s-home");
            array.add(menu);
        }
        data.put("menu",array);
        JSONObject u=new JSONObject();
        u.put("id", 2);
        u.put("userNo", "1");
        u.put("userName", "1");
        u.put("passWord", "123456");
        u.put("age", 1);
        u.put("sex", 1);
        u.put("phone", "1");
        u.put("roleId", 1);
        u.put("isValid", false);
        data.put("user",u);
        log.info("lll:"+new ResponseEntity(data, HttpStatus.OK));
        return  Result.success(menuCount,data);
    }

}
